Network & IP
All operations require authentication.
List the anti-spam entries of an xDSL accessProduction
Returns the IPs of the access detected as sending spam.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ antiSpams \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Get an anti-spam entry of an xDSL accessProduction
Returns the anti-spam status of an IP of the access, with its detection date and last spam detection date.
Path parameters
Ip
Service name
Response
Detection date
IP which spam
Last spam detection date
AntiSpam status
blockdonenewunblockwarnExample uses ip = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ antiSpams/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "ip": "192.0.2.0", "lastSpamDetected": "2024-01-01T12:00:00Z", "status": "block"}
Get the spam evidences of an IPProduction
Returns, as an asynchronous task, the evidences of spam stored for an IP of the access.
Path parameters
Ip
Service name
Response
AsyncTask detailed error
Table with evidences stored on PCS
Evidences AsyncTask status
errorokpendingExample uses ip = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ antiSpams/ {ip}/ evidences \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": [ { "date": "2024-01-01T12:00:00Z", "filename": "string", "url": "string" } ], "status": "error"}
List the IPs of an xDSL accessProduction
Returns the IP addresses of the access. Get an IP for its version, range, status and DNS servers.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Order an extra /29 IPv4 rangeProduction
Orders an extra range of eight IPv4 addresses (/29) for the access. Returns the task that performs the change.
Path parameters
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get an IP of an xDSL accessProduction
Returns an IP address or block of the access with its version, range, status and DNS servers.
Path parameters
Ip
Service name
Response
The IP address
status of the IP
activeclosetoDeleteIp versions
v4v6Example uses ip = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ips/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "dnsList": [ "192.0.2.0" ], "ip": "192.0.2.0", "range": 0, "status": "active", "version": "v4"}
Delete an extra IPv4 rangeProduction
Stops renewing the extra IPv4 option of the access.
Path parameters
Ip
Service name
Response
Example uses ip = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ips/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"Enable or disable IPv6 on an xDSL accessProduction
Turns IPv6 on or off for the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Should the IPv6 be enabled ?
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ipv6 \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}